GNU bug report logs - #45277
SELECTION_CLEAR_EVENT crashes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; Keywords: patch; dated Wed, 16 Dec 2020 21:06:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to 'SELECTION_CLEAR_EVENT crashes' from 'Non-DBus crashes' Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 6 Jan 2021 18:10:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 06 13:10:56 2021
Received: from localhost ([127.0.0.1]:45471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kxDGq-0005Oi-FN
	for submit <at> debbugs.gnu.org; Wed, 06 Jan 2021 13:10:56 -0500
Received: from relay11.mail.gandi.net ([217.70.178.231]:55757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1kxDGo-0005OE-FH; Wed, 06 Jan 2021 13:10:54 -0500
Received: from mail.gandi.net (m91-129-98-64.cust.tele2.ee [91.129.98.64])
 (Authenticated sender: juri@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 9B7E010000A;
 Wed,  6 Jan 2021 18:10:46 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#45277: SELECTION_CLEAR_EVENT crashes
Organization: LINKOV.NET
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
 <87r1narllw.fsf@HIDDEN> <87lfdhyg0u.fsf@HIDDEN>
 <874kk5lrdi.fsf@HIDDEN> <87a6txxbj6.fsf@HIDDEN>
 <87mtxxnf11.fsf@HIDDEN> <871rf8yj29.fsf@HIDDEN>
 <83bleck5hp.fsf@HIDDEN> <87r1n8l9zk.fsf@HIDDEN>
 <87mtxv8uh6.fsf@HIDDEN>
Date: Wed, 06 Jan 2021 19:37:18 +0200
In-Reply-To: <87mtxv8uh6.fsf@HIDDEN> (Michael Albinus's message of "Wed, 30
 Dec 2020 11:21:41 +0100")
Message-ID: <87mtxm6k51.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: Eli Zaretskii <eliz@HIDDEN>, 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

retitle 45277 SELECTION_CLEAR_EVENT crashes
quit

>> Thanks for the help offer.  I see no more crashes even
>> without making bootstrap, so can't find an explanation.
>
> I've just pushed a change to dbusbind.c because of another
> error. Although I don't see a coincidence with your problem, it might be
> worth to pull and compile Emacs (no bootstrap).

After a week of calm, the crashes returned, but now with
a breakpoint in kbd_buffer_store_buffered_event, it revealed
that after copying a text to the clipboard outside of Emacs
causes the broken event SELECTION_CLEAR_EVENT to be added to the
kbd queue.  Sometimes the event kind becomes 11, sometimes 27.
Their binary representations:

#b01011 => 11 (SELECTION_CLEAR_EVENT)
#b11011 => 27 (DBUS_EVENT)
   ====
Note that their suffixes are the same "1011",
and only the leading bit differs.

Looks like a bit flip that means a faulty memory.
Maybe I should acquire ECC memory as Linus suggested
https://www.realworldtech.com/forum/?threadid=198497&curpostid=198647




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 30 Dec 2020 10:21:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 30 05:21:53 2020
Received: from localhost ([127.0.0.1]:40983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuYc5-0003FS-1M
	for submit <at> debbugs.gnu.org; Wed, 30 Dec 2020 05:21:53 -0500
Received: from mout.gmx.net ([212.227.15.18]:36151)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kuYc2-0003FE-0N
 for 45277 <at> debbugs.gnu.org; Wed, 30 Dec 2020 05:21:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609323703;
 bh=0PJjmt87qczoLxj9tpBWJSIp7h0uo36HaLHv3wrzCpY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=gGVYa99YhWUrpijSYQCvJTgvDH0YxYu22n7VoUpGWAiwh/vLZhqZQC9ZjAsYpZJv7
 jBNMP/Q1ytQWK/jrrUniIuJ3YRQScQJtAsYufespZGVWERQ/67zRsc0HjOlL8ecGNy
 oVwT1DYwUfuhm2Mm/Vysi3zIIz2PvOc2OgCr9Fac=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.46.32]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MtfJd-1k1MUb3l4p-00vBy6; Wed, 30
 Dec 2020 11:21:43 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
 <87r1narllw.fsf@HIDDEN> <87lfdhyg0u.fsf@HIDDEN>
 <874kk5lrdi.fsf@HIDDEN> <87a6txxbj6.fsf@HIDDEN>
 <87mtxxnf11.fsf@HIDDEN> <871rf8yj29.fsf@HIDDEN>
 <83bleck5hp.fsf@HIDDEN> <87r1n8l9zk.fsf@HIDDEN>
Date: Wed, 30 Dec 2020 11:21:41 +0100
In-Reply-To: <87r1n8l9zk.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 29 Dec 2020 21:28:35 +0200")
Message-ID: <87mtxv8uh6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:eZDaPg5pT6YLhRSfL0lnkaEVYzFnX5FERX6XuO3ma0nG2hQukaz
 iZSmKI72mDqFD18yIJx2f+s/rGGILbUHX6AvwItrGu/09M32HCgEUg7pwAb5jHrYBEO7VRH
 5wbDHHGVP5yPR8FdUgtsb35eBiEgJWSoqie0UlG7P9GjZI6SEIhb2p1C46Y4Gt8rh5GbC+N
 cZ83vMQ1k6FbNvH/hSpbQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:NU7NvZW3gdE=:fdH7TGYuaczQKWuyXJbois
 Bu4zDBcJAakfY75hrG5ya+mQW9wFPxusymN8UoH+Z+JxuDjc40EeofO5neHxrOSLUJxMG2Occ
 ERKc2lLu2d13H7T9BX85nPRvHM+GqfnW0b0CtXd6g+oR0gh2wgN/mEMfGWMOt2uDK6fnQX6XG
 WEQNP649lWxwmRj19hn1zSI029gDm5Hokat1DmFhqGOqiS6lSKT+F70Rbc9k9BeUK4coxQHb3
 537YDG7iYHAXNCm3a79pvbNpz1Q5+eAHzhs1DTvSHdgbNObIkuOwrh6ps9BvnKeXQHYRsB8zU
 5JIRQEGt+8fFpe/kqY6NF7r02y1jgES7b6MJM2ev10bLDMVyj3jtqX8k40LnjZJQ3uYAAjgh/
 27ApQ0PYCEdlfZ8qqIxugi6Ku9Y4Fz4mFcc/2CHAv/PvB+xAys64viFn4f35PsZ2c0454nQhz
 DsIYU4d3/gz00xLs+8fUQdpl/UpV/qH+KBmqFi3iMDX6qQig4MAMs/9NYaiWIZA4ndydJffr1
 om/Ej/ikDEypkcxMpeRzmk2WYb1L+Ji693UzsHxhbnhcxFSpueKhsZqfzjmJNwqVhS1foUiK8
 LVXtm/PkAAnjNyqruxQxlQbjgmV5K6TGhQ/kY9hQxmeKu5Xo0Jxu/nUanRHNp5DIUQ+NcPFX1
 FSd5SajiJwPLoR66HxoJA0ilcPmpV3OKO6PaEKTyNnCZJYFPv5f2jEUeSBD5jBXbQdc1zcWGP
 rZk2vGXmWTcC0gsCmxp946nuwstK+TfVKdpkBgXInw47zD0/QHC6blq7WDllFJg3C3OAAL9JT
 GVtbmeWbZi5yp8AAT7lVuheUcF6ab9amdzDFr849J4S9xORNBzcFvqUARuTVqxZMKCBISRdRv
 zWX6ovNE7trsfhUn8xrQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: Eli Zaretskii <eliz@HIDDEN>, 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Juri Linkov <juri@HIDDEN> writes:

Hi Juri,

> Thanks for the help offer.  I see no more crashes even
> without making bootstrap, so can't find an explanation.

I've just pushed a change to dbusbind.c because of another
error. Although I don't see a coincidence with your problem, it might be
worth to pull and compile Emacs (no bootstrap).

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 29 Dec 2020 19:29:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 14:29:12 2020
Received: from localhost ([127.0.0.1]:40218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuKgC-0006aE-7r
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 14:29:12 -0500
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:33199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kuKg9-0006Zy-QC
 for 45277 <at> debbugs.gnu.org; Tue, 29 Dec 2020 14:29:10 -0500
X-Originating-IP: 91.129.98.64
Received: from mail.gandi.net (m91-129-98-64.cust.tele2.ee [91.129.98.64])
 (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 90BA3C0006;
 Tue, 29 Dec 2020 19:29:02 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
Organization: LINKOV.NET
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
 <87r1narllw.fsf@HIDDEN> <87lfdhyg0u.fsf@HIDDEN>
 <874kk5lrdi.fsf@HIDDEN> <87a6txxbj6.fsf@HIDDEN>
 <87mtxxnf11.fsf@HIDDEN> <871rf8yj29.fsf@HIDDEN>
 <83bleck5hp.fsf@HIDDEN>
Date: Tue, 29 Dec 2020 21:28:35 +0200
In-Reply-To: <83bleck5hp.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 29 Dec
 2020 17:16:02 +0200")
Message-ID: <87r1n8l9zk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> > Nothing special.  globals.h is 2020-12-28 too, and no out-of-tree compilation.
>> > Before making bootstrap (that I believe should fix this problem again),
>> > I could try more debugging.
>>
>> Yes. But I have no idea what. Since it doesn't seem to be D-Bus
>> specific, I'd like if somebody else could join.
>
> I'm happy to help if I can, but I don't think I follow your line of
> investigation (perhaps because I don't know enough about Dbus).  What
> made you think that this could be caused by outdated files in the
> working tree, and how does "make bootstrap" enter this picture?
> Please be sure to describe the evidence you collected that led you to
> those conclusions.
>
> Armed with this information, I will try to come up with some ideas.

Thanks for the help offer.  I see no more crashes even
without making bootstrap, so can't find an explanation.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 29 Dec 2020 15:16:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 10:16:18 2020
Received: from localhost ([127.0.0.1]:39943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuGjS-0006tf-L6
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 10:16:18 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kuGjQ-0006tP-7I
 for 45277 <at> debbugs.gnu.org; Tue, 29 Dec 2020 10:16:17 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60565)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kuGjJ-0005R4-W1; Tue, 29 Dec 2020 10:16:10 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4193
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kuGjI-0002rE-TM; Tue, 29 Dec 2020 10:16:09 -0500
Date: Tue, 29 Dec 2020 17:16:02 +0200
Message-Id: <83bleck5hp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-Reply-To: <871rf8yj29.fsf@HIDDEN> (message from Michael Albinus on Tue, 29
 Dec 2020 11:59:10 +0100)
Subject: Re: bug#45277: D-Bus crashes and DND errors
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
 <87r1narllw.fsf@HIDDEN> <87lfdhyg0u.fsf@HIDDEN>
 <874kk5lrdi.fsf@HIDDEN> <87a6txxbj6.fsf@HIDDEN>
 <87mtxxnf11.fsf@HIDDEN> <871rf8yj29.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Date: Tue, 29 Dec 2020 11:59:10 +0100
> Cc: 45277 <at> debbugs.gnu.org
> 
> Juri Linkov <juri@HIDDEN> writes:
> 
> > Nothing special.  globals.h is 2020-12-28 too, and no out-of-tree compilation.
> > Before making bootstrap (that I believe should fix this problem again),
> > I could try more debugging.
> 
> Yes. But I have no idea what. Since it doesn't seem to be D-Bus
> specific, I'd like if somebody else could join.

I'm happy to help if I can, but I don't think I follow your line of
investigation (perhaps because I don't know enough about Dbus).  What
made you think that this could be caused by outdated files in the
working tree, and how does "make bootstrap" enter this picture?
Please be sure to describe the evidence you collected that led you to
those conclusions.

Armed with this information, I will try to come up with some ideas.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 29 Dec 2020 10:59:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 05:59:19 2020
Received: from localhost ([127.0.0.1]:37760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuCil-0005mk-Hi
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 05:59:19 -0500
Received: from mout.gmx.net ([212.227.17.21]:44289)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kuCik-0005mO-AF
 for 45277 <at> debbugs.gnu.org; Tue, 29 Dec 2020 05:59:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609239551;
 bh=dh7Zm4u+pEOzfYbLFVGyh93nqwUQMSN/LfGGfgbbcpQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=T0Y4N9ZV+WXrkHW2aSB8bH0Zlk5sbWv0t/O3oz+fnh/xzdC6sMLfhMat3gKjljuww
 d7+XK5DGIUSfaypkH7+DX7T3EjuJn54yxHPwSORb45b1f5MxEK3wj7rMYVRczbTqxr
 pJpTeoak+JuXQZ7fzEpljqV/6PfwllZcX9D+27vA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.50.141]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MmDEm-1kCNVX1ClM-00iEgu; Tue, 29
 Dec 2020 11:59:11 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
 <87r1narllw.fsf@HIDDEN> <87lfdhyg0u.fsf@HIDDEN>
 <874kk5lrdi.fsf@HIDDEN> <87a6txxbj6.fsf@HIDDEN>
 <87mtxxnf11.fsf@HIDDEN>
Date: Tue, 29 Dec 2020 11:59:10 +0100
In-Reply-To: <87mtxxnf11.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 29 Dec 2020 11:31:46 +0200")
Message-ID: <871rf8yj29.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:oTDOVkl6Rxcv1GCFEWs+9UcfoQ4HrHRF1i9pNF6th5PZ7z3baF4
 3tBREUze64/NYsJIOurJmnZu/hMmqPON8+d/4dMzDY/atXcY4yO4d3HssT/msHYe16QcQx3
 6jj/hH7Nofp6FJ4Z6gNJpNU6MQ8X0x8BWnfzWE0UE1cD8+kPO2cw5kNmQRVql72GQfGE4e/
 TSyRzAJg6hpl/fdN5wB6A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:iNRZqob0rDQ=:j83AyAguo7L+jKsl0/Pz2i
 19WhZ7GB92HDXyCP27TkqMRv9H6Q5NMUnnY5NBMqIKIvuH191v2FySSajZSlu1lyMaQUsy6pe
 M1mAeSxYGXYQLEAVNF5gTjhtAo5S6us6MX/p5ByZlukNleQsxhKT6qcQj7axSECNKiRrXTCkz
 EEkPgvqX/cvxspDCJr+9VaBUphKOf4pADKGqbZaXFkzYSPltv8Co37evgyiSHxj6r4Gsdq5ZY
 GCfLmMlZbs5jvF31FvRYrosuKKh6WJ0WfpfT4kZZxrsQYXWHNtm0TBUCYJU3wIl7ejBkpD4BZ
 vcLHpolbsCD7brG2325sclTh/sqlbSBrcclXrvjSKZ2X+gmTADA2IXXv1w2RZAJH9kYLlhGlb
 o0mmBhRz99QCIlmIjSTvkgbmOtR+RzUb01KFTSI/vD3LjWU4fmzu2I1IH0i12upr4Aw9dtOD8
 bxh0Z+NiTXEbVf8v3JhkBTltPPeZFPk6uC+k915xTEdeagOVNtdPA0QtL+vjmKO/qzhKtPzyC
 HThJPt/SfN+aZ+qsCladn3cUFniea0T7NLaKtkqDo8yW4hK9aqsh9l3LtNID53NqAbsnZUumF
 NIabUInUSm+rs+7ijjmXDdENOqhDwaNWBOaujT8EM0W+8ZDytzn+/yifoeNJZuvr0Zf37UJqS
 gkob7BJumBK1taA/BmlQlAv03jkFbf3wH5e6XHn1XkpvXpU/XhYXnOczh08CJlcMpq6P2v+5Q
 iBhaZUJLWg+yHlaPQ8a04lsJtIPlJMlj2bF7AxLtVRudwFLGVsJW4Fu0TYWOC1MD85cEWW+4J
 UvutrQP5/f3znSl1L/3r+m8+cVES4QD8Of8ILT5XmkBvPrPTVqCVLpCXmGuG8qO6PDvEFkq6u
 cD6y8NM5zr+E+YQnw/tA3+TTP7HPZ0myf6zEsp22g=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Juri Linkov <juri@HIDDEN> writes:

> Nothing special.  globals.h is 2020-12-28 too, and no out-of-tree compilation.
> Before making bootstrap (that I believe should fix this problem again),
> I could try more debugging.

Yes. But I have no idea what. Since it doesn't seem to be D-Bus
specific, I'd like if somebody else could join.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 29 Dec 2020 09:46:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 04:46:57 2020
Received: from localhost ([127.0.0.1]:37612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuBaj-0003wV-5Z
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 04:46:57 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:32963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kuBah-0003wF-II
 for 45277 <at> debbugs.gnu.org; Tue, 29 Dec 2020 04:46:56 -0500
X-Originating-IP: 91.129.99.98
Received: from mail.gandi.net (m91-129-99-98.cust.tele2.ee [91.129.99.98])
 (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 6271920004;
 Tue, 29 Dec 2020 09:46:47 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
Organization: LINKOV.NET
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
 <87r1narllw.fsf@HIDDEN> <87lfdhyg0u.fsf@HIDDEN>
 <874kk5lrdi.fsf@HIDDEN> <87a6txxbj6.fsf@HIDDEN>
Date: Tue, 29 Dec 2020 11:31:46 +0200
In-Reply-To: <87a6txxbj6.fsf@HIDDEN> (Michael Albinus's message of "Tue, 29
 Dec 2020 09:27:09 +0100")
Message-ID: <87mtxxnf11.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> In your local git checkout, what are the timestamps of termhooks.h,
>>> dbusbind.c and dbusbind.o?
>>
>> The timestamp of termhooks.h is the same as when BUFFER_SWITCH_EVENT
>> was removed 2020-12-12.  But the timestamp of dbusbind.c and dbusbind.o
>> is the same 2020-12-28.  All .o files are also 2020-12-28.
>
> Strange. Is there something special with the timestamp of globals.h?
> Or do you have some special setup, like out-of-tree compilation?

Nothing special.  globals.h is 2020-12-28 too, and no out-of-tree compilation.
Before making bootstrap (that I believe should fix this problem again),
I could try more debugging.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 29 Dec 2020 08:27:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 03:27:20 2020
Received: from localhost ([127.0.0.1]:37539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuALg-00020k-CW
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 03:27:20 -0500
Received: from mout.gmx.net ([212.227.17.20]:58225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kuALe-00020G-GH
 for 45277 <at> debbugs.gnu.org; Tue, 29 Dec 2020 03:27:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609230431;
 bh=FlXyvamwNl7P/Ot+OQdPXmm7g0pf2LStEKO9YbCgEYU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=kjbA6tpBitaZHLq0kYrvZruJpnDTuBjwVSKvVzLjkzigh7xBLriP+DqMx0KGW26pv
 WcDGe1ztvEHyCDWQh+mODt0h2++YsHEf41NvBwz/IHVpW2kT9b4w7QcmM/KySMiuVR
 8sFDAHuB4BXzzVHnkQAeDH2vCZhlKgG7EmP4TjwU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.50.141]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MUGeB-1kTOOq2fJr-00RLBu; Tue, 29
 Dec 2020 09:27:11 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
 <87r1narllw.fsf@HIDDEN> <87lfdhyg0u.fsf@HIDDEN>
 <874kk5lrdi.fsf@HIDDEN>
Date: Tue, 29 Dec 2020 09:27:09 +0100
In-Reply-To: <874kk5lrdi.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 28 Dec 2020 20:19:45 +0200")
Message-ID: <87a6txxbj6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:IZcxxbwV1KUC1J10JJ6FsgUiv+op/2j4x6R+HFp+lU/M98P1heM
 GkXkTI9GkowWEJNhYeR6HR1R5xn9JAIq8ctBjvCQfOOHbGgvEgBCcpXUaa3clEahvCDwMPU
 V5n5YWp6C1J9zK0roDWQr+qXJJsI8KuM3278QkKb39wErsvaVMCpLJpIxqoKaTNc0o9AKrA
 s3z8aYd2NkVhD5dz/0EKw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:T/veUaSrlXU=:EV+VxCcV7qckREDJMTaA8j
 UDWsYxcK8iWkWAemRU11HKGIVgwvkZe7OfYGFj8N7/zm+x+G8NY+0aimfPLPjvso7JSyXMST3
 X6Xvw53KCHckgicoe1lLXjgdxiMVXUtPrtvb42peW21Vz75fspIQ/j20uh92RWn4Uhc/fBaaa
 jw3XepVLJm+sbuylm6AvM8yqgAc7XDZrkxla6/VvxTqVA81rjtGwvaYEPWpVBMD13WP3YcSFd
 C5Xi1HUJrf7Q086HNtConjbughWoueywKiDL/x/BUnVoy+N4BCGIUvTMnPq82WlWg4xgpkZOw
 4nSsg5lfGeJqiVzLXEA/R2BNO82ATBwUSqbXS6sD00UmHatWfU5ObSZ40SLC+CZPs8SQwsBBM
 de6W1mcx4kgz4SgMszLOwvq+k+hijPipWOEZ6LlaYHiVYVRG9JjXLWAAgl0ph3x50Tpxg4zaS
 ETLfv3iMEECJs9/fYqj3h1mmTHazaE9vtpnObntpakUy33H46ks90LCj0ET+DnJGAbpWymmUF
 PnwnItq+nPVaAtKbbY2pKFn/u0hQX7UHchkoSnaIYulmKcWBqfNPxNgjjgW1IgQRzchp+w+fX
 9gMMZlOFPcAwWgTBQwb8CfgH7EKNwtb96lCEJkNS+fWCEFraKb2CP1P7Ri+ITNNHGFdKZAEsr
 PidUM97nn6C3GhlEjwvt23JQryLETDHZRjX6bd551AakZpqiFxqea/F+TgNf1kTZKmWyuQKZA
 qF+1ttfeD7uJbsWa2HU1zukKPpz/11mYR8DtHoWSGFeI7EMM68wiTzUbkOic82/pGqVYEUB1o
 20Lkv+ldNx/u8BPKLNaPZ5ks7BH8KuL5lJxjavqk8wgeLNItDOfEp0UYbNcmn7iFKYkcKdD+k
 8eBYcTQcOC7z3rrRdaw6B2VbSl4LbYYI8AS2XfI9c=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Juri Linkov <juri@HIDDEN> writes:

Hi Juri,

>> In your local git checkout, what are the timestamps of termhooks.h,
>> dbusbind.c and dbusbind.o?
>
> The timestamp of termhooks.h is the same as when BUFFER_SWITCH_EVENT
> was removed 2020-12-12.  But the timestamp of dbusbind.c and dbusbind.o
> is the same 2020-12-28.  All .o files are also 2020-12-28.

Strange. Is there something special with the timestamp of globals.h?
Or do you have some special setup, like out-of-tree compilation?

(I'm just poking in the fog, I have no real idea)

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 28 Dec 2020 18:29:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 13:29:16 2020
Received: from localhost ([127.0.0.1]:36870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ktxGe-0000be-63
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2020 13:29:16 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:54231)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ktxGb-0000bQ-P2
 for 45277 <at> debbugs.gnu.org; Mon, 28 Dec 2020 13:29:14 -0500
X-Originating-IP: 91.129.99.98
Received: from mail.gandi.net (m91-129-99-98.cust.tele2.ee [91.129.99.98])
 (Authenticated sender: juri@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 2ADD640004;
 Mon, 28 Dec 2020 18:29:05 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
Organization: LINKOV.NET
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
 <87r1narllw.fsf@HIDDEN> <87lfdhyg0u.fsf@HIDDEN>
Date: Mon, 28 Dec 2020 20:19:45 +0200
In-Reply-To: <87lfdhyg0u.fsf@HIDDEN> (Michael Albinus's message of "Mon, 28
 Dec 2020 18:52:33 +0100")
Message-ID: <874kk5lrdi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Maybe making bootstrap after every pull from master will solve these problems?
>
> That would be too drastic. I have the impression, that the enum
> event_kind (termhooks.h) is not in sync with its usage here and
> there. When this file is changed, all *.c files (or at least all *.c
> files using this) shall be recompiled.

This is what I suspected too, but I see nothing wrong.

> In your local git checkout, what are the timestamps of termhooks.h,
> dbusbind.c and dbusbind.o?

The timestamp of termhooks.h is the same as when BUFFER_SWITCH_EVENT
was removed 2020-12-12.  But the timestamp of dbusbind.c and dbusbind.o
is the same 2020-12-28.  All .o files are also 2020-12-28.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 28 Dec 2020 17:52:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 12:52:43 2020
Received: from localhost ([127.0.0.1]:36790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ktwhG-00085q-Qc
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2020 12:52:43 -0500
Received: from mout.gmx.net ([212.227.17.21]:51567)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1ktwhE-00085b-Nv
 for 45277 <at> debbugs.gnu.org; Mon, 28 Dec 2020 12:52:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609177954;
 bh=4VTLXFXCzHJrFauUkett70tqdAfKMAHl2DhnWPp2Wqg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=lYbeYsAFcQJWp3QmnxBTk0rsdXiCT2Bs+BtEi5y0ZO0Ep9529RIv0zn2DFn7FPsLg
 YtYi5nDatuy+4UBNiMqAWciH8h9HR7u2hmHh6v/GUIjL3cRAFTBlG0+rL+WwDvCr5H
 eALbujsKWRynyzVXdYAGFYouUnERAjpW/ru5Eg/U=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.50.141]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1M7sDq-1kxmBU0OJO-00546v; Mon, 28
 Dec 2020 18:52:34 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
 <87r1narllw.fsf@HIDDEN>
Date: Mon, 28 Dec 2020 18:52:33 +0100
In-Reply-To: <87r1narllw.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 28 Dec 2020 19:03:47 +0200")
Message-ID: <87lfdhyg0u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:7FOdK5G/6SdYNG/97Nh6mfGm67BAZLKmzjD/uqfDI/nQFc67WDz
 Oq2Su+ED4Jx0jp07O/LypGLskkPVyp6vtLV9VkXuIOf6pM0eqmStGf9Re+ToqwQnUPZMHGE
 tYK22jbiVjehxIhHAJNSyYUv2IU46c3T8vWzslROmKFBfmqSL6wSP3p6JPpTLEVVIBQSo2M
 ABg975wz47feqXIOWTz6w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:7xH7wLDRswk=:4P3GnLtTSMbPsKedQaWwW9
 hbBKsBYWAM32FjqjBwq42B1OBwMj8G1rpfqpgZiy7fjiT6cOYSOqMg974g/ney6lz9v6kkFNb
 fo2dT4dhw5gBu43AA/bYdGbR8sPsXl2kxQimS17Ue69e5ikwCny17YlT0RaEWxyht6o3Oy3s4
 Yomi9hj8UkcZDMNy6qkV7ZJTUg9bb5TqYgdldX5XQeP7xDtXBM1oo5nNzG13OSt4ylVso+ISj
 OiGYM8fsUp62iDvw//mYSTqo/JYHWvwT1g97cjjMGQQ/1cj7BBXId/jwgyLfOw56LRiUbE35p
 rKFw74VQQ+wbyDFHaeWeWlEYRamOACP9kz/GNSJ0lP1tCBVTfEWW+c2CX3MYEQzTT0FfxB9xf
 RtDkMeW3QN/adKcIiu5QHoxEjUsWJqUAwGm89z5zRiSGbXINuFI7jKdek0GcOYjdnUWcNkag7
 5EIKuNVWYnmOEc0T9GEFbByaLDl9jbvWxn5JSWc/+HAlasLcQnMGcdNS2GRiJ13oiHlACWBOR
 9VIO031/15wxad+h2hFCgyxQZvsH447ZX9NRvjjJ5v/VG3vwnyIqVkPRizdwJrNZarv94IUfp
 SGUOFLqZ7tuzispXn1BAZfiBC6OvQbE7ADG9ogsP9n3k2QNyPvLPpxySd7sigb6oYpdqePS1Y
 Bnh0BfI2A7vG7nd8Kqg00FpPyjWUcaMSVQLONEJ8O6dUChir6cNyHUX2FURL8quxuN4+zuk4r
 EDANBEWytX8ToprItPGtl17fLZOGVkYzOnQrJM2UDAte7pq/CmzuiHK2ZuCJVqqxfDM6kzPmk
 HEXfAEYzVcySBjuDlEzaAE/xr3GhSPUaPkvXi2U3z2SaFipVr5sxdZjBhadz/NynjRZiAB9rU
 uueOi0+jXZS7mGz5ZhsZv0bCX57fFz3mgjkoKwNtU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Juri Linkov <juri@HIDDEN> writes:

Hi Juri,

> But when such error is signaled:
>
>   Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p "Click to close tab")
>     dbus-handle-event((dbus-event :help "Click to close tab"))
>     funcall-interactively(dbus-handle-event (dbus-event :help "Click to close tab"))
>     call-interactively(dbus-handle-event nil [(dbus-event :help "Click to close tab")])
>     command-execute(dbus-handle-event nil [(dbus-event :help "Click to close tab")] t)
>
> there were no DBUS_DEBUG messages before this error comes.
> So the erroneous events are not added by dbusbind.c.

Good.

> Here's is a brief sequence of events:
>
> 1. In web browser copied a URL to the clipboard;
> 2. In Emacs this immediately causes a DBUS_EVENT event added to kbd_buffer:
>
> Thread 1 "emacs" hit Breakpoint 5, make_lispy_event (event=0x555555cb93c8 <kbd_buffer+100520>) at keyboard.c:6015
> 6015		return Fcons (Qdbus_event, event->arg);
>
> (gdb) bt
> #0  make_lispy_event (event=0x555555cb93c8 <kbd_buffer+100520>) at keyboard.c:6015
> #1  0x00005555557131b9 in kbd_buffer_get_event (kbp=0x7fffffffc668, used_mouse_menu=0x7fffffffdcb9, end_time=0x0) at keyboard.c:3978
> #2  0x000055555570ed06 in read_event_from_main_queue (end_time=0x0, local_getcjmp=0x7fffffffcab0, used_mouse_menu=0x7fffffffdcb9) at keyboard.c:2159
> #3  0x000055555570f023 in read_decoded_event_from_main_queue (end_time=0x0, local_getcjmp=0x7fffffffcab0, prev_event=XIL(0), used_mouse_menu=0x7fffffffdcb9) at keyboard.c:2223
> #4  0x0000555555710857 in read_char (commandflag=1, map=XIL(0x55555a5c9943), prev_event=XIL(0), used_mouse_menu=0x7fffffffdcb9, end_time=0x0) at keyboard.c:2833
> #5  0x000055555571fab7 in read_key_sequence (keybuf=0x7fffffffdee0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9498
> #6  0x000055555570c918 in command_loop_1 () at keyboard.c:1353
> #7  0x00005555557caed4 in internal_condition_case (bfun=0x55555570c4b0 <command_loop_1>, handlers=XIL(0x90), hfun=0x55555570bbed <cmd_error>) at eval.c:1415
> #8  0x000055555570c154 in command_loop_2 (ignore=XIL(0)) at keyboard.c:1094
> #9  0x00005555557ca6d7 in internal_catch (tag=XIL(0xd800), func=0x55555570c123 <command_loop_2>, arg=XIL(0)) at eval.c:1176
> #10 0x000055555570c0ef in command_loop () at keyboard.c:1073
> #11 0x000055555570b79e in recursive_edit_1 () at keyboard.c:720
> #12 0x000055555570b929 in Frecursive_edit () at keyboard.c:789
> #13 0x00005555557080a0 in main (argc=1, argv=0x7fffffffe368) at emacs.c:2054
>
> (gdb) fr 1
> #1  0x00005555557131b9 in kbd_buffer_get_event (kbp=0x7fffffffc668, used_mouse_menu=0x7fffffffdcb9, end_time=0x0) at keyboard.c:3978
> 3978	          obj = make_lispy_event (&event->ie);
>
> (gdb) p event->kind
> $1 = DBUS_EVENT
>
> (gdb) p (int)event->kind
> $2 = 27
>
> (gdb) p event->ie
> $3 = {
>   kind = DBUS_EVENT,
>   part = scroll_bar_nowhere,
>   code = 0,
>   modifiers = 0,
>   x = XIL(0),
>   y = XIL(0),
>   timestamp = 0,
>   frame_or_window = XIL(0),
>   arg = XIL(0x555557db7e23)
> }
>
> (gdb) p event->ie->arg
> $4 = XIL(0x555557db7e23)
>
> (gdb) pr
> (:help "Click to close tab")
>
> (gdb) p event->sie
> $5 = {
>   kind = DBUS_EVENT,
>   dpyinfo = 0x0,
>   requestor = 0,
>   selection = 0,
>   target = 0,
>   property = 0,
>   time = 0
> }
>
> (gdb) c
> Continuing.
>
> Thread 1 "emacs" hit Breakpoint 5, make_lispy_event (event=0x555555cbd0d0 <kbd_buffer+116144>) at keyboard.c:6015
> 6015		return Fcons (Qdbus_event, event->arg);
>
> (gdb) fr 1
> #1  0x00005555557131b9 in kbd_buffer_get_event (kbp=0x7fffffffc668, used_mouse_menu=0x7fffffffdcb9, end_time=0x0) at keyboard.c:3978
> 3978	          obj = make_lispy_event (&event->ie);
>
> (gdb) p event->kind
> $6 = DBUS_EVENT
>
> (gdb) p event->ie
> $7 = {
>   kind = DBUS_EVENT,
>   part = scroll_bar_nowhere,
>   code = 0,
>   modifiers = 0,
>   x = XIL(0),
>   y = XIL(0),
>   timestamp = 0,
>   frame_or_window = XIL(0),
>   arg = XIL(0x555560a70f43)
> }
>
> (gdb) p event->ie->arg
> $8 = XIL(0x555560a70f43)
>
> (gdb) pr
> #<INVALID_LISP_OBJECT 0x555560a70f43>
>
> (gdb) c
> Continuing.
>
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> string_intervals (s=XIL(0x6c613a5b5e5b285c)) at lisp.h:3404
> 3404	  return XSTRING (s)->u.s.intervals;
>
> Maybe making bootstrap after every pull from master will solve these problems?

That would be too drastic. I have the impression, that the enum
event_kind (termhooks.h) is not in sync with its usage here and
there. When this file is changed, all *.c files (or at least all *.c
files using this) shall be recompiled.

In your local git checkout, what are the timestamps of termhooks.h,
dbusbind.c and dbusbind.o?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.
Changed bug title to 'Non-DBus crashes' from 'DND errors' Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 28 Dec 2020 17:21:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 12:21:59 2020
Received: from localhost ([127.0.0.1]:36717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ktwDW-0005C0-KB
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2020 12:21:58 -0500
Received: from relay10.mail.gandi.net ([217.70.178.230]:36381)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1ktwDT-0005Bg-Sc; Mon, 28 Dec 2020 12:21:57 -0500
Received: from mail.gandi.net (m91-129-99-98.cust.tele2.ee [91.129.99.98])
 (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id 02DE7240005;
 Mon, 28 Dec 2020 17:21:47 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
Organization: LINKOV.NET
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN> <87k0tc9qkx.fsf@HIDDEN>
Date: Mon, 28 Dec 2020 19:03:47 +0200
In-Reply-To: <87k0tc9qkx.fsf@HIDDEN> (Michael Albinus's message of "Sun, 20
 Dec 2020 21:21:02 +0100")
Message-ID: <87r1narllw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

retitle 45277 Non-DBus crashes
quit

>>> Do you have a recipe how to provoke this error?
>>
>> After dbus-handle-event started to pull random parts of the init file
>> to use as its event arg, I realized that something is wrong with the build,
>> made clean bootstrap, and D-Bus problems went away.  Sorry for false alarm.
>
> No problem, I'm happy there's no random bug in dbusbind.c.

Bad news: after pull from master and recompiling it crashes again.

Good news: crashes are not caused by dbusbind.c.

Usually, DBUS_DEBUG prints such lines:

  xd_read_message_1: Event received: ...
  xd_read_message_1: Event stored: ...
  xd_read_message_1: Event received: ...
  xd_read_message_1: Event stored: ...
  ...

But when such error is signaled:

  Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p "Click to close tab")
    dbus-handle-event((dbus-event :help "Click to close tab"))
    funcall-interactively(dbus-handle-event (dbus-event :help "Click to close tab"))
    call-interactively(dbus-handle-event nil [(dbus-event :help "Click to close tab")])
    command-execute(dbus-handle-event nil [(dbus-event :help "Click to close tab")] t)

there were no DBUS_DEBUG messages before this error comes.
So the erroneous events are not added by dbusbind.c.

Here's is a brief sequence of events:

1. In web browser copied a URL to the clipboard;
2. In Emacs this immediately causes a DBUS_EVENT event added to kbd_buffer:

Thread 1 "emacs" hit Breakpoint 5, make_lispy_event (event=0x555555cb93c8 <kbd_buffer+100520>) at keyboard.c:6015
6015		return Fcons (Qdbus_event, event->arg);

(gdb) bt
#0  make_lispy_event (event=0x555555cb93c8 <kbd_buffer+100520>) at keyboard.c:6015
#1  0x00005555557131b9 in kbd_buffer_get_event (kbp=0x7fffffffc668, used_mouse_menu=0x7fffffffdcb9, end_time=0x0) at keyboard.c:3978
#2  0x000055555570ed06 in read_event_from_main_queue (end_time=0x0, local_getcjmp=0x7fffffffcab0, used_mouse_menu=0x7fffffffdcb9) at keyboard.c:2159
#3  0x000055555570f023 in read_decoded_event_from_main_queue (end_time=0x0, local_getcjmp=0x7fffffffcab0, prev_event=XIL(0), used_mouse_menu=0x7fffffffdcb9) at keyboard.c:2223
#4  0x0000555555710857 in read_char (commandflag=1, map=XIL(0x55555a5c9943), prev_event=XIL(0), used_mouse_menu=0x7fffffffdcb9, end_time=0x0) at keyboard.c:2833
#5  0x000055555571fab7 in read_key_sequence (keybuf=0x7fffffffdee0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9498
#6  0x000055555570c918 in command_loop_1 () at keyboard.c:1353
#7  0x00005555557caed4 in internal_condition_case (bfun=0x55555570c4b0 <command_loop_1>, handlers=XIL(0x90), hfun=0x55555570bbed <cmd_error>) at eval.c:1415
#8  0x000055555570c154 in command_loop_2 (ignore=XIL(0)) at keyboard.c:1094
#9  0x00005555557ca6d7 in internal_catch (tag=XIL(0xd800), func=0x55555570c123 <command_loop_2>, arg=XIL(0)) at eval.c:1176
#10 0x000055555570c0ef in command_loop () at keyboard.c:1073
#11 0x000055555570b79e in recursive_edit_1 () at keyboard.c:720
#12 0x000055555570b929 in Frecursive_edit () at keyboard.c:789
#13 0x00005555557080a0 in main (argc=1, argv=0x7fffffffe368) at emacs.c:2054

(gdb) fr 1
#1  0x00005555557131b9 in kbd_buffer_get_event (kbp=0x7fffffffc668, used_mouse_menu=0x7fffffffdcb9, end_time=0x0) at keyboard.c:3978
3978	          obj = make_lispy_event (&event->ie);

(gdb) p event->kind
$1 = DBUS_EVENT

(gdb) p (int)event->kind
$2 = 27

(gdb) p event->ie
$3 = {
  kind = DBUS_EVENT,
  part = scroll_bar_nowhere,
  code = 0,
  modifiers = 0,
  x = XIL(0),
  y = XIL(0),
  timestamp = 0,
  frame_or_window = XIL(0),
  arg = XIL(0x555557db7e23)
}

(gdb) p event->ie->arg
$4 = XIL(0x555557db7e23)

(gdb) pr
(:help "Click to close tab")

(gdb) p event->sie
$5 = {
  kind = DBUS_EVENT,
  dpyinfo = 0x0,
  requestor = 0,
  selection = 0,
  target = 0,
  property = 0,
  time = 0
}

(gdb) c
Continuing.

Thread 1 "emacs" hit Breakpoint 5, make_lispy_event (event=0x555555cbd0d0 <kbd_buffer+116144>) at keyboard.c:6015
6015		return Fcons (Qdbus_event, event->arg);

(gdb) fr 1
#1  0x00005555557131b9 in kbd_buffer_get_event (kbp=0x7fffffffc668, used_mouse_menu=0x7fffffffdcb9, end_time=0x0) at keyboard.c:3978
3978	          obj = make_lispy_event (&event->ie);

(gdb) p event->kind
$6 = DBUS_EVENT

(gdb) p event->ie
$7 = {
  kind = DBUS_EVENT,
  part = scroll_bar_nowhere,
  code = 0,
  modifiers = 0,
  x = XIL(0),
  y = XIL(0),
  timestamp = 0,
  frame_or_window = XIL(0),
  arg = XIL(0x555560a70f43)
}

(gdb) p event->ie->arg
$8 = XIL(0x555560a70f43)

(gdb) pr
#<INVALID_LISP_OBJECT 0x555560a70f43>

(gdb) c
Continuing.

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
string_intervals (s=XIL(0x6c613a5b5e5b285c)) at lisp.h:3404
3404	  return XSTRING (s)->u.s.intervals;

Maybe making bootstrap after every pull from master will solve these problems?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.
Added tag(s) patch. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'DND errors' from 'D-Bus crashes and DND errors' Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 21 Dec 2020 09:04:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 21 04:04:42 2020
Received: from localhost ([127.0.0.1]:46261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1krH7S-0003x7-1u
	for submit <at> debbugs.gnu.org; Mon, 21 Dec 2020 04:04:42 -0500
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:40975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1krH7P-0003wq-DB; Mon, 21 Dec 2020 04:04:40 -0500
X-Originating-IP: 91.129.99.98
Received: from mail.gandi.net (m91-129-99-98.cust.tele2.ee [91.129.99.98])
 (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 0C22E6000E;
 Mon, 21 Dec 2020 09:04:31 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: 45277 <at> debbugs.gnu.org
Subject: Re: bug#45277: DND errors
Organization: LINKOV.NET
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN>
Date: Mon, 21 Dec 2020 10:59:09 +0200
In-Reply-To: <877dpcp9yg.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 20 Dec 2020 22:01:20 +0200")
Message-ID: <87eejjh6pf.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

retitle 45277 DND errors
tags 45277 patch
quit

> Here's a test case for DND errors:
>
> Eval:
> (modify-frame-parameters nil '((undecorated . t)))
> (toggle-frame-maximized)
>
> (frame-parameter nil 'left)
> => (+ -1)
>
> Since it's not a number, x-dnd-handle-xdnd signals the error:
>
>   Bad data in VALUES, must be number, cons or string

I found that semantic-displayer-point-position checks for such syntax
and copied the same code to x-dnd-get-drop-x-y:

diff --git a/lisp/x-dnd.el b/lisp/x-dnd.el
index 1d49f46253..5af5490360 100644
--- a/lisp/x-dnd.el
+++ b/lisp/x-dnd.el
@@ -411,8 +411,10 @@ x-dnd-get-drop-x-y
 FRAME is the frame and W is the window where the drop happened.
 If W is a window, return its absolute coordinates,
 otherwise return the frame coordinates."
-  (let* ((frame-left (frame-parameter frame 'left))
-	 (frame-top (frame-parameter frame 'top)))
+  (let* ((frame-left (or (car-safe (cdr-safe (frame-parameter frame 'left)))
+			 (frame-parameter frame 'left)))
+	 (frame-top (or (car-safe (cdr-safe (frame-parameter frame 'top)))
+			(frame-parameter frame 'top))))
     (if (windowp w)
 	(let ((edges (window-inside-pixel-edges w)))
 	  (cons




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 20 Dec 2020 20:21:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 20 15:21:16 2020
Received: from localhost ([127.0.0.1]:45675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kr5Ca-0003sr-CG
	for submit <at> debbugs.gnu.org; Sun, 20 Dec 2020 15:21:15 -0500
Received: from mout.gmx.net ([212.227.17.22]:58295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kr5CY-0003sa-Kf
 for 45277 <at> debbugs.gnu.org; Sun, 20 Dec 2020 15:21:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1608495663;
 bh=136gHStd3jUDvyrtWsEt8E6YYBCYFWTmuC+6TzXDaAQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=kiBsPja1ynlenwTJFLPRaR0XIjGKWbZMZWFDmJIEda3YUJg7Mz97Z1q4+1ceK3kAv
 +Pqyq2PMqJdEVux/obo7Bb5oowyQWrPATs3h8kNTpGgIjzly/NrFAcorkKPNWumYXl
 QwMPkV6oqjNAYnfLoarwVNMxGH/7ej/e3/C2j6Ms=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.52.107]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MBUm7-1kvjcW21Xz-00Cxkj; Sun, 20
 Dec 2020 21:21:03 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
 <877dpcp9yg.fsf@HIDDEN>
Date: Sun, 20 Dec 2020 21:21:02 +0100
In-Reply-To: <877dpcp9yg.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 20 Dec 2020 22:01:20 +0200")
Message-ID: <87k0tc9qkx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ML6ulDkVji+OkGV7T3PxCebQc7kIaXMn60ksAEzSGi18RlkymqZ
 Qy+XFNE7U8j+KgWwWHIQ4H7/F9MSHWKd2LYMl6mK4pxC2XYKW4zMneg3JDh5C8nRn5/4L1S
 sF2HgR8TnRgu/bbCGkdrBJupqNze88AEz+bWvUVjPtdYyheC13HXxXaZF2XdEzxgKOaUe7x
 3nJCcbRr9u9ehqQPV47+g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9Wioio+yweo=:7tUudI/ZXZNcV5zjnSOqDH
 PPW9yStF8L1r2R7umVdYl4TwPd5/FA7U2+QqQ+A+1dxRSJE1cN9qpmSxJf1dMzmbY7RvEhwF5
 cZArs6M2I7fEAUwpOeYM+NRi3cmI7dCC5Cq5Z64d/vk5AS0Yxih5U+qC4FgEIZpbez0IgvYn4
 /+56PdgUgEOYd4oORgu9rNq01xd9T3ae9jIHnyBpTQhXBywkk1n5QQpfdR1rAcE68iHnuTdnp
 c34sFH4Pg6kxztwB4JSXbD9FuCD+olWB5/YT+EaM2DNrGhx88UtUj/+ZbO67OBggL/aVJL6KT
 4PTYSSPR+itta88iS1kbWiR9gpKdrGrDkc2hIWVhlmPIux+g4J+ejptI6x7reyJI59bOZZpBc
 Lp8e/SAaygPBpmjOmMzIsmBpL+IxRX1oJMwXnjtcDMxe0o6wwyxm+F2OJghnmBgedrJZ4OoH1
 q4b6KYFzvz/LZWQ0+mPZbosw5UWXCST3XRLCQW42FndG45iwoLqaZzAc/xKHzwp7mDOKojTBX
 2Re+RQ67hPs56fht7VPLM+dfv2XHE7ATnWysAbkJ1kn+rjoJkIDhIBvtMivC3X9AhWAZgPaqy
 YrFNmMKrn0w2IH8iC/HUlxBDXJV2/RU/EZJ52V39r2QKATiZ9W3y8OQYFfqFcHomBuWEqjWLl
 uUtJ8lm00ElPR1AFaVQw/gxcYz28x8kHTKQs5hchc/0E8mb1lswnVHyEBqgK6QUB9maR6suj8
 RBp8CvN3kE2yQl11gkH14dpmgTtX8xNSRvh/AA/PfSM2si4XGXQUlNngMQ1rjllhaCfi263Rf
 hBvjk8SBqkD8UF670aAamWJ4H9vMCzQdUmwm8AbxRivayw4iRnXhxJG1158MnPm2aRUZ5Sikk
 TJ3tLEHhUSagpshCTJJCBA7LtMyKxV7q/2WmOB9tA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Juri Linkov <juri@HIDDEN> writes:

Hi Juri,

>> Do you have a recipe how to provoke this error?
>
> After dbus-handle-event started to pull random parts of the init file
> to use as its event arg, I realized that something is wrong with the build,
> made clean bootstrap, and D-Bus problems went away.  Sorry for false alarm.

No problem, I'm happy there's no random bug in dbusbind.c.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 20 Dec 2020 20:07:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 20 15:07:54 2020
Received: from localhost ([127.0.0.1]:45666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kr4zh-0003Yv-V7
	for submit <at> debbugs.gnu.org; Sun, 20 Dec 2020 15:07:54 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:56181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kr4zg-0003Yh-HI
 for 45277 <at> debbugs.gnu.org; Sun, 20 Dec 2020 15:07:53 -0500
X-Originating-IP: 91.129.99.98
Received: from mail.gandi.net (m91-129-99-98.cust.tele2.ee [91.129.99.98])
 (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 2917420004;
 Sun, 20 Dec 2020 20:07:44 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
Organization: LINKOV.NET
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
Date: Sun, 20 Dec 2020 22:01:20 +0200
In-Reply-To: <87pn37xvkv.fsf@HIDDEN> (Michael Albinus's message of "Fri, 18
 Dec 2020 11:22:24 +0100")
Message-ID: <877dpcp9yg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Do you have a recipe how to provoke this error?

After dbus-handle-event started to pull random parts of the init file
to use as its event arg, I realized that something is wrong with the build,
made clean bootstrap, and D-Bus problems went away.  Sorry for false alarm.

The second part of this bug report was about DND errors, that
is unrelated to D-Bus, but DND errors should be fixed anyway.

Here's a test case for DND errors:

Eval:
(modify-frame-parameters nil '((undecorated . t)))
(toggle-frame-maximized)

(frame-parameter nil 'left)
=> (+ -1)

Since it's not a number, x-dnd-handle-xdnd signals the error:

  Bad data in VALUES, must be number, cons or string




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 19 Dec 2020 20:23:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 19 15:23:41 2020
Received: from localhost ([127.0.0.1]:43227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqilR-0004Ak-42
	for submit <at> debbugs.gnu.org; Sat, 19 Dec 2020 15:23:41 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:60473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kqilK-0004A6-Pu
 for 45277 <at> debbugs.gnu.org; Sat, 19 Dec 2020 15:23:36 -0500
X-Originating-IP: 91.129.99.98
Received: from mail.gandi.net (m91-129-99-98.cust.tele2.ee [91.129.99.98])
 (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 883D8240004;
 Sat, 19 Dec 2020 20:23:26 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
Organization: LINKOV.NET
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN> <87pn37xvkv.fsf@HIDDEN>
Date: Sat, 19 Dec 2020 22:23:10 +0200
In-Reply-To: <87pn37xvkv.fsf@HIDDEN> (Michael Albinus's message of "Fri, 18
 Dec 2020 11:22:24 +0100")
Message-ID: <871rflo8cp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Meanwhile, here is today's error (not crash):
>>
>> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>>   dbus-handle-event((dbus-event (- arg)))
>>   funcall-interactively(dbus-handle-event (dbus-event (- arg)))
>>   call-interactively(dbus-handle-event nil [(dbus-event (- arg))])
>>   command-execute(dbus-handle-event nil [(dbus-event (- arg))] t)
>
> I'm completely lost. Where does this interactive call of
> dbus-handle-event comes from? And where those strange arguments? Well,
> there's a wannabe D-Bus event "(dbus-event (- arg))", but I have no
> idea how it is composed.

I don't know, it seems xd_retrieve_arg tries to decode received data,
but when it receives garbage, then "Garbage In - Garbage Out".

> Do you have a recipe how to provoke this error? Or could you bisect
> Emacs git in order to find the change which has introduced the problem?

These errors appear at the rate of one error per day,
so no bisecting is possible in a reasonable time.
Today dbus-handle-event signaled the error with
a string of 6 random bytes, and not crashed, but
I forgot to look at traces, so no luck this time.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 18 Dec 2020 10:22:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 18 05:22:37 2020
Received: from localhost ([127.0.0.1]:37764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqCuC-0006u5-RL
	for submit <at> debbugs.gnu.org; Fri, 18 Dec 2020 05:22:37 -0500
Received: from mout.gmx.net ([212.227.17.20]:33665)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kqCu8-0006tp-C6
 for 45277 <at> debbugs.gnu.org; Fri, 18 Dec 2020 05:22:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1608286945;
 bh=6vFqQvHR3ypTScTIiWh7ePFqafswvadUKRTNBgUYfUs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=NrpAJT2iaK3dcCFPOeCsYhPfKuMcPDO7lM7uPrpI0+Th0OLD6njjdZNPek/HiDOZS
 uKmyqcttBemMg+wiIKkMc19vaqK8HAoWYq3AFuzBbIiS1oB82XrWcOGCb7VqukG83u
 IUClyVJmmOxX6c2XZvztugTYqA0miv9w8OrfbClw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.38.187]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MhU5b-1kDJS62PPn-00ebDV; Fri, 18
 Dec 2020 11:22:25 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
 <87lfdwhzek.fsf@HIDDEN>
Date: Fri, 18 Dec 2020 11:22:24 +0100
In-Reply-To: <87lfdwhzek.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 17 Dec 2020 23:54:11 +0200")
Message-ID: <87pn37xvkv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:QiQD5qPgHIjoB+hKLxdlC+HUSlje872OR0WwDZsfoCR6aUfaprs
 2FwHhYz5a53U2TFRSGi4b+DsmiBzkk/tggwDjebXaa30aurM2A5EOxWgR4naUuYvU+2TJPm
 8q4KjsxgQ4ic0L3zkDsleSXled8d0tMWlW5KdnpR+X5DB/czwgpXs4HbhH6jo8Fv19KKgDP
 7yzEgmNxecncCmG0kQT+w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:yb29WfJ3zF8=:qOX35TMfFP1SpyhGA8J4Du
 xUgjcrJZm6JAYoVElRUUa0yGiZBK0VG/Yh1gGPdlLuWWU7tpOiR0p4DHA+HGnvrmx6Vks87tb
 NVlpoh94koQz6BEzR0wIMbd3XWfWWYOCwpWXAgKGYPHHb1puz9Z1u0qYHqjjQECjpcc46S6Cw
 zT7rlb2G+QRRNeohiGP3lwjM96v7QDVtdlyoomUMZCJ+vAyz8w7AU87FnyLrDjWmKq9LUwOT5
 gGeirYg+3je1dpGWMqeUBfqcPHzCNWK6mgVRK8osZ42UjF7odaR8sjIuOSkhUDD9/s24TZqI8
 pcVuvr36tlRLmPZ9Lil18sAmuwezUgqY5VOf9syKFhKYrOukTVclw77NRipIbVNHH0QRGXxhZ
 BYgEY/2kn0E4yPMCqkZWKTg/ua0K4MoA4cdOx4bGgvan+3KAWGRutiFwxSDqTsLPX1GDYarbO
 B7wDpU2pF23cw+0DG1v50axSFg/VWHTZgTZnWv9cT5iNSiaTqJMKd361q8NZiDo4f+5BJQKM7
 Wom8yD2O3sH9oEdtjMmBy+nzJiotXLT+2UzfZSPn6QU+G3cVlzMpeF9SryurMAA71djle+tMR
 MkuMSsDYtZGAkPgd78tRgoo5l8Vi9M8uFOcuD2fwojjX/Pd6H1FIhq/Co8/fv0aQTyGNcQWPX
 +Hd0j9nDJe24Vwx570R4xd/r0s1ElVd8m3TodH8VBzZ5Is9yD+lm7pJ/DCRfWt33duizd/2Eq
 KfzYgBYbCjsn8a3wtojT9ZECemaMAxNaNKL/KeqsRF7k2FKy1Q+QK8O04FoT2eAkvko2iasXX
 6fGdDyxKnL5unziwaBxKdRIWOgYD6wdes7V9QevbLfPJ1oAhicX4KWw8VnVpCwd3Hya8tmDa9
 SrKpLvcx/tLXdgeHlxcQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Juri Linkov <juri@HIDDEN> writes:

Hi Juri,

> Meanwhile, here is today's error (not crash):
>
> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>   dbus-handle-event((dbus-event (- arg)))
>   funcall-interactively(dbus-handle-event (dbus-event (- arg)))
>   call-interactively(dbus-handle-event nil [(dbus-event (- arg))])
>   command-execute(dbus-handle-event nil [(dbus-event (- arg))] t)

I'm completely lost. Where does this interactive call of
dbus-handle-event comes from? And where those strange arguments? Well,
there's a wannabe D-Bus event "(dbus-event (- arg))", but I have no
idea how it is composed.

Do you have a recipe how to provoke this error? Or could you bisect
Emacs git in order to find the change which has introduced the problem?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 17 Dec 2020 22:12:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 17 17:12:35 2020
Received: from localhost ([127.0.0.1]:37227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kq1Vi-0000L7-UV
	for submit <at> debbugs.gnu.org; Thu, 17 Dec 2020 17:12:35 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:32773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kq1Vf-0000Kl-Hd
 for 45277 <at> debbugs.gnu.org; Thu, 17 Dec 2020 17:12:32 -0500
X-Originating-IP: 91.129.99.98
Received: from mail.gandi.net (m91-129-99-98.cust.tele2.ee [91.129.99.98])
 (Authenticated sender: juri@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id E5F0940004;
 Thu, 17 Dec 2020 22:12:23 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
Organization: LINKOV.NET
References: <87zh2dijdl.fsf@HIDDEN> <874kkkz3a9.fsf@HIDDEN>
Date: Thu, 17 Dec 2020 23:54:11 +0200
In-Reply-To: <874kkkz3a9.fsf@HIDDEN> (Michael Albinus's message of "Thu, 17
 Dec 2020 19:38:22 +0100")
Message-ID: <87lfdwhzek.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> dbusbind.c is prepared to write traces. Pls recompile dbusbind.o with
> "make MYCPPFLAGS='-DDBUS_DEBUG'", as indicated in that file (line 98).

Thanks for the hint, I'll recompile dbusbind.c and see what happens next time.

Meanwhile, here is today's error (not crash):

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  dbus-handle-event((dbus-event (- arg)))
  funcall-interactively(dbus-handle-event (dbus-event (- arg)))
  call-interactively(dbus-handle-event nil [(dbus-event (- arg))])
  command-execute(dbus-handle-event nil [(dbus-event (- arg))] t)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at 45277 <at> debbugs.gnu.org:


Received: (at 45277) by debbugs.gnu.org; 17 Dec 2020 18:38:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 17 13:38:32 2020
Received: from localhost ([127.0.0.1]:36989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kpyAa-0002Ds-6x
	for submit <at> debbugs.gnu.org; Thu, 17 Dec 2020 13:38:32 -0500
Received: from mout.gmx.net ([212.227.15.19]:33095)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kpyAY-0002Dd-50
 for 45277 <at> debbugs.gnu.org; Thu, 17 Dec 2020 13:38:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1608230303;
 bh=YHygjUAYx76eXV1SE6S6Dfg/7WKvg+F8VciFfn7Hw7E=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=iEWjpUZnpK3lxwiQcCPN4jFfgOUPM8fywW0Cr0H7YmEywPUVqjp+YYxPkDkH3w7Xk
 o7lL0nfhzfPeosPoMxBHjPlGqXn8YOQNtyv71O+YDzaP7HUoE/L6VzLB0ezrIWUQW/
 40DAsNn6kvYzkKAMUXk1V40R6Ursb7gHYy6Cu7UU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.118.184]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N9Mta-1k4a9D1DJk-015Ipm; Thu, 17
 Dec 2020 19:38:23 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#45277: D-Bus crashes and DND errors
References: <87zh2dijdl.fsf@HIDDEN>
Date: Thu, 17 Dec 2020 19:38:22 +0100
In-Reply-To: <87zh2dijdl.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 16 Dec 2020 22:58:30 +0200")
Message-ID: <874kkkz3a9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:RSaFXOujzlu0VexDCcAKpkCtC+U3FcYhYrIi9GVvmSKY0jVLPyQ
 KH9pmG0MPqbrskXY1ghJBOFacpaKpAAQNQ3HMWPSKwUeaQ6fBJpiFeFQ4WI7H41GEZvK1Ct
 EXtzGmRTW/hw7uDaLi19M/qA8wmFua0n4a47MlqaDRhXz3PSp6fGqYd9OlJ3lvtuUvDyhf7
 jEYfclgAA8qrn1jvUZ/8A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:T31XTRAnn3I=:rrLIamK8oe04YQxtdG+pWs
 EiA2bZl3+YF1XPeA+Dtww/91+bzC7qjAq7lCbUEB46hGI/ffVlQfgeeQxrSMSaq20upzPN2v3
 BpmxWew1pQqmKhKBKbDOWeGUnZrvYOskJFD68ao4dhPoORjJ3ARaD+bj90TqPZQWd1DbsVdfi
 HpNUX6xvNMv3A3bXKBwGE32NU0G1d51pICc59wQ+/q07li65F0qP+ZQNyNoFi1s1Q4P7Sayvu
 n3ubUqynw8qcu1jb7wCh67zWHFLjypFntlIi/N26f7tEWoS5I36aokJENZjfm7jOK6ZJ1YGnH
 ZxHvQK6LcIYuVCE1LuMlz/YB5N+xe0M/rRWl0wvyAkarWqwQ2+n71VsbHYnTR3VWJTLGQMDQi
 cPI57o1TFOehQwL4XHEVvbOLCZvk+QpkTgOMLTvts0B8vyQzrASkB1mNSaMsNltg9G7vooYwD
 I95Xjb3oNCBAf/BneqcDSpiQXvu50Ss/apKG4GXkMR0k6tTuT5ogHpPLP8q5tmKa3t9cWXfmo
 4jyvwCVPPDfyIDezEgDrNoYpMBJxEH334whbVtKzGO4ZmDzjrPd97AX7REW01znjXisV6Wf+w
 UpV4wgBxo8jfVL2ss0Twjbjdy2peFoPqEC29lTmBDlHmoCdTSZY3QpF5hiY5a6kL2djsx0Wna
 RP/mQ5bl6BCpH1OTDBSBnCYBg15CTLezJXr9Afwq/Ql/vc2EMO2u9Op7i6JhQqGJwCNBi/xMx
 Dr2fI6h0Twvqz3CBZM94wBeYBuDMCPo970G8QK6UXT9QMFgOl+/+fm8flQ9brBO6y/8iJeVcd
 5qNi7j3h09Xe0sakO/FwZO7FgJSYfmylJT3wE6Hbhhv0yQ4M0L/bq3gJq5mkwwGh8wkKHDMXb
 6e1M/kXSP8Z6dfOquvIw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45277
Cc: 45277 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Juri Linkov <juri@HIDDEN> writes:

Hi Juri,

> These crashes occur only in optimized builds.
> I tried to print DBUS events in dbus-handle-event
> to stdout, so in case of the crash, at least stdout
> might show the cause of the problem, but can't find
> a Lisp function that prints to stdout.  I tried
> to add in dbus-handle-event:
>
>   (let ((noninteractive t)) (message "DBUS: %S" event))
>
> but it doesn't print to stdout.

dbusbind.c is prepared to write traces. Pls recompile dbusbind.o with
"make MYCPPFLAGS='-DDBUS_DEBUG'", as indicated in that file (line 98).

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Dec 2020 21:05:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 16 16:05:25 2020
Received: from localhost ([127.0.0.1]:34018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kpdzB-000488-By
	for submit <at> debbugs.gnu.org; Wed, 16 Dec 2020 16:05:25 -0500
Received: from lists.gnu.org ([209.51.188.17]:50174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kpdz9-000480-Jx
 for submit <at> debbugs.gnu.org; Wed, 16 Dec 2020 16:05:24 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:46126)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1kpdz9-0001Hx-6J
 for bug-gnu-emacs@HIDDEN; Wed, 16 Dec 2020 16:05:23 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:34045)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1kpdz2-0006L9-N0
 for bug-gnu-emacs@HIDDEN; Wed, 16 Dec 2020 16:05:22 -0500
X-Originating-IP: 91.129.99.98
Received: from mail.gandi.net (m91-129-99-98.cust.tele2.ee [91.129.99.98])
 (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id A988720005
 for <bug-gnu-emacs@HIDDEN>; Wed, 16 Dec 2020 21:05:10 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: D-Bus crashes and DND errors
Organization: LINKOV.NET
Date: Wed, 16 Dec 2020 22:58:30 +0200
Message-ID: <87zh2dijdl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.183.200; envelope-from=juri@HIDDEN;
 helo=relay7-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Sometimes DND causes just errors, sometimes D-BUS events cause Emacs crashes.

Here is an example of DND errors when debug-on-error is enabled:

Debugger entered--Lisp error: (error "Bad data in VALUES, must be number, cons or string")
  x-send-client-message(#<frame emacs@localhost 0x555556182a40> 21062611 #<frame emacs@localhost 0x555556182a40> "XdndStatus" 32 (62914762 0 ((+ -1) . 1) 0 0))
  x-dnd-handle-xdnd((drag-n-drop (#<frame emacs@localhost 0x555556182a40> nil (854 . 0) 0) ["XdndPosition" #<frame emacs@localhost 0x555556182a40> 32 [21062611 0 55967771 54687100 550]]) #<frame emacs@localhost 0x555556182a40> #<frame emacs@localhost 0x555556182a40> "XdndPosition" 32 [21062611 0 55967771 54687100 550])
  x-dnd-handle-drag-n-drop-event((drag-n-drop (#<frame emacs@localhost 0x555556182a40> nil (854 . 0) 0) ["XdndPosition" #<frame emacs@localhost 0x555556182a40> 32 [21062611 0 55967771 54687100 550]]))
  funcall-interactively(x-dnd-handle-drag-n-drop-event (drag-n-drop (#<frame emacs@localhost 0x555556182a40> nil (854 . 0) 0) ["XdndPosition" #<frame emacs@localhost 0x555556182a40> 32 [21062611 0 55967771 54687100 550]]))
  call-interactively(x-dnd-handle-drag-n-drop-event nil [(drag-n-drop (#<frame emacs@localhost 0x555556182a40> nil (854 . 0) 0) ["XdndPosition" #<frame emacs@localhost 0x555556182a40> 32 [21062611 0 55967771 54687100 550]])])
  command-execute(x-dnd-handle-drag-n-drop-event nil [(drag-n-drop (#<frame emacs@localhost 0x555556182a40> nil (854 . 0) 0) ["XdndPosition" #<frame emacs@localhost 0x555556182a40> 32 [21062611 0 55967771 54687100 550]])] t)

What is worse are sporadic crashes by dbus-handle-event:

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
print_preprocess (obj=obj@entry=XIL(0x55556462e080)) at lisp.h:2204
2204	  return XSYMBOL (sym)->u.s.interned != SYMBOL_UNINTERNED;
(gdb) bt
#0  print_preprocess (obj=obj@entry=XIL(0x55556462e080)) at lisp.h:2204
#1  0x000055555572f234 in print (obj=XIL(0x55556462e080), printcharfun=XIL(0x30), escapeflag=<optimized out>) at print.c:1126
#2  0x000055555572f702 in Fprin1 (object=XIL(0x55556462e080), printcharfun=<optimized out>) at print.c:651
#3  0x0000555555730895 in print_error_message (data=<optimized out>, data@entry=XIL(0x555558492423), stream=stream@entry=XIL(0x30), context=<optimized out>, caller=caller@entry=XIL(0x2aaa9c29dce0)) at print.c:977
#4  0x0000555555692547 in Fcommand_error_default_function (data=XIL(0x555558492423), context=XIL(0x7ffff1c52674), signal=XIL(0x2aaa9c29dce0)) at lisp.h:1564
#5  0x000055555570fa9b in Ffuncall (nargs=4, args=0x7fffffffc050) at lisp.h:2081
#6  0x0000555555711b28 in Fapply (nargs=2, args=0x7fffffffc168) at eval.c:2509
#7  0x000055555570fa9b in Ffuncall (nargs=3, args=args@entry=0x7fffffffc160) at lisp.h:2081
#8  0x000055555574cb54 in exec_byte_code (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>) at bytecode.c:632
#9  0x000055555570f9d7 in Ffuncall (nargs=4, args=0x7fffffffc430) at eval.c:2893
#10 0x000055555570fc38 in call3 (fn=<optimized out>, arg1=arg1@entry=XIL(0x555558492423), arg2=<optimized out>, arg3=arg3@entry=XIL(0x2aaa9c29dce0)) at eval.c:2753
#11 0x00005555556962e6 in cmd_error_internal (data=data@entry=XIL(0x555558492423), context=context@entry=0x7fffffffc490 "") at lisp.h:3910
#12 0x000055555569642b in cmd_error (data=XIL(0x555558492423)) at keyboard.c:956
#13 0x000055555570eb91 in internal_condition_case (bfun=bfun@entry=0x55555569f9c0 <command_loop_1>, handlers=handlers@entry=XIL(0x90), hfun=hfun@entry=0x555555696310 <cmd_error>) at eval.c:1411
#14 0x00005555556907c4 in command_loop_2 (ignore=ignore@entry=XIL(0)) at lisp.h:1007
#15 0x000055555570eae9 in internal_catch (tag=tag@entry=XIL(0x5c70), func=func@entry=0x5555556907a0 <command_loop_2>, arg=arg@entry=XIL(0)) at eval.c:1176
#16 0x0000555555690719 in command_loop () at lisp.h:1007
#17 0x0000555555695f1a in recursive_edit_1 () at keyboard.c:720
#18 0x0000555555696256 in Frecursive_edit () at keyboard.c:789
#19 0x000055555570fa9b in Ffuncall (nargs=1, args=args@entry=0x7fffffffc700) at lisp.h:2081
#20 0x000055555574cb54 in exec_byte_code (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>) at bytecode.c:632
#21 0x000055555570f9d7 in Ffuncall (nargs=3, args=0x7fffffffcbb0) at eval.c:2893
#22 0x0000555555711b28 in Fapply (nargs=nargs@entry=2, args=args@entry=0x7fffffffcc50) at eval.c:2509
#23 0x00005555557101f5 in apply1 (arg=XIL(0x555557ee92a3), fn=<optimized out>) at lisp.h:1373
#24 call_debugger (arg=XIL(0x555557ee92a3)) at eval.c:339
#25 0x000055555571092d in maybe_call_debugger (data=XIL(0x555557ee92d3), sig=<optimized out>, conditions=XIL(0x7ffff1e724fb)) at lisp.h:1007
#26 signal_or_quit (error_symbol=<optimized out>, data=XIL(0x555557ee92d3), keyboard_quit=<optimized out>) at eval.c:1727
#27 0x00005555555a14c2 in Fsignal (error_symbol=<optimized out>, error_symbol@entry=XIL(0xf090), data=<optimized out>) at eval.c:1628
#28 0x00005555555a16a8 in xsignal (data=<optimized out>, error_symbol=XIL(0xf090)) at lisp.h:4115
#29 xsignal2 (error_symbol=error_symbol@entry=XIL(0xf090), arg1=arg1@entry=XIL(0xa7d0), arg2=<optimized out>) at eval.c:1787
#30 0x00005555555a070c in wrong_type_argument (predicate=predicate@entry=XIL(0xa7d0), value=<optimized out>) at lisp.h:1007
#31 0x00005555555a0726 in CHECK_TYPE (x=<optimized out>, predicate=XIL(0xa7d0), ok=0) at lisp.h:758
#32 check_number_coerce_marker (x=<optimized out>) at data.c:2377
#33 0x00005555556fd5cd in arithcompare (num1=make_fixnum(1), num2=XIL(0x8550), comparison=comparison@entry=ARITH_EQUAL) at data.c:2390
#34 0x000055555574ead4 in exec_byte_code (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>) at bytecode.c:990
#35 0x000055555570f9d7 in Ffuncall (nargs=nargs@entry=2, args=args@entry=0x7fffffffd218) at eval.c:2893
#36 0x000055555570c175 in Ffuncall_interactively (nargs=2, args=0x7fffffffd218) at callint.c:253
#37 0x000055555570fa9b in Ffuncall (nargs=nargs@entry=3, args=args@entry=0x7fffffffd210) at lisp.h:2081
#38 0x000055555570d68b in Fcall_interactively (function=<optimized out>, record_flag=<optimized out>, keys=<optimized out>) at callint.c:784
#39 0x000055555570fa9b in Ffuncall (nargs=4, args=args@entry=0x7fffffffd448) at lisp.h:2081
#40 0x000055555574cb54 in exec_byte_code (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>) at bytecode.c:632
#41 0x000055555570f9d7 in Ffuncall (nargs=5, args=0x7fffffffd7b0) at eval.c:2893
#42 0x000055555570fc9d in call4 (fn=fn@entry=XIL(0x43b0), arg1=arg1@entry=XIL(0x2aaa9c29dce0), arg2=arg2@entry=XIL(0), arg3=<optimized out>, arg4=arg4@entry=XIL(0x30)) at eval.c:2761
#43 0x000055555569c0a0 in read_char (commandflag=1, map=XIL(0x5555585fc1b3), prev_event=XIL(0), used_mouse_menu=0x7fffffffddfb, end_time=0x0) at lisp.h:1007
#44 0x000055555569e224 in read_key_sequence (keybuf=<optimized out>, prompt=XIL(0), dont_downcase_last=<optimized out>, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=<optimized out>) at keyboard.c:9483
#45 0x000055555569fbbc in command_loop_1 () at lisp.h:1007
#46 0x000055555570eba7 in internal_condition_case (bfun=bfun@entry=0x55555569f9c0 <command_loop_1>, handlers=handlers@entry=XIL(0x90), hfun=hfun@entry=0x555555696310 <cmd_error>) at eval.c:1415
#47 0x00005555556907c4 in command_loop_2 (ignore=ignore@entry=XIL(0)) at lisp.h:1007
#48 0x000055555570eae9 in internal_catch (tag=tag@entry=XIL(0xd7d0), func=func@entry=0x5555556907a0 <command_loop_2>, arg=arg@entry=XIL(0)) at eval.c:1176
#49 0x0000555555690763 in command_loop () at lisp.h:1007
#50 0x0000555555695f1a in recursive_edit_1 () at keyboard.c:720
#51 0x0000555555696256 in Frecursive_edit () at keyboard.c:789
#52 0x00005555555a6a39 in main (argc=1, argv=<optimized out>) at emacs.c:2054

Lisp Backtrace:
"command-error-default-function" (0xffffc058)
"apply" (0xffffc168)
0xf22de0f8 PVEC_COMPILED
"recursive-edit" (0xffffc708)
"debug" (0xffffcbb8)
"dbus-handle-event" (0xffffd220)
"funcall-interactively" (0xffffd218)
"call-interactively" (0xffffd450)
"command-execute" (0xffffd7b8)

These crashes occur only in optimized builds.
I tried to print DBUS events in dbus-handle-event
to stdout, so in case of the crash, at least stdout
might show the cause of the problem, but can't find
a Lisp function that prints to stdout.  I tried
to add in dbus-handle-event:

  (let ((noninteractive t)) (message "DBUS: %S" event))

but it doesn't print to stdout.




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45277; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Jan 2021 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.